<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/version-cmp.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000002.html">lib</a></div>
<h1>version-cmp.c File Reference</h1>Version comparison functions. <a href="#_details">More...</a>
<p>
<code>#include "config.h"</code><br>
<code>#include &lt;assert.h&gt;</code><br>
<code>#include &lt;ctype.h&gt;</code><br>
<code>#include &lt;stdio.h&gt;</code><br>
<code>#include &lt;stdlib.h&gt;</code><br>
<code>#include &lt;string.h&gt;</code><br>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>
<code>#include &lt;discover/utils.h&gt;</code><br>

<p>
<a href="version-cmp_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="version-cmp_8c.html#a0">MAXBUFLEN</a>&nbsp;&nbsp;&nbsp;256</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef enum <a class="el" href="version-cmp_8c.html#a21">range_states</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="version-cmp_8c.html#a1">range_state</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="version-cmp_8c.html#a21">range_states</a> { <br>
&nbsp;&nbsp;<b>START</b>, 
<b>OPEN</b>, 
<b>VERSION1</b>, 
<b>VERSEP1</b>, 
<br>
&nbsp;&nbsp;<b>PAUSE1</b>, 
<b>SEPARATOR</b>, 
<b>I</b>, 
<b>N</b>, 
<br>
&nbsp;&nbsp;<b>F</b>, 
<b>VERSION2</b>, 
<b>VERSEP2</b>, 
<b>PAUSE2</b>, 
<br>
&nbsp;&nbsp;<b>CLOSE</b>, 
<b>ERROR</b>
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__version__cmp.html#ga0">discover_xml_version_cmp</a> (char *range, char *version, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Version comparison functions. 
<p>
This file holds the routines needed to process version data in the XML file. This version data is used to look for information pertaining to a particular version of the OS/software requiring that information. 
<p>
Definition in file <a class="el" href="version-cmp_8c-source.html">version-cmp.c</a>.<hr><h2>Define Documentation</h2>
<a class="anchor" name="a0" doxytag="version-cmp.c::MAXBUFLEN"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">#define MAXBUFLEN&nbsp;&nbsp;&nbsp;256          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
This probably shouldn't be here; it's bad practice (3.0, right). 
<p>
Definition at line <a class="el" href="version-cmp_8c-source.html#l00055">55</a> of file <a class="el" href="version-cmp_8c-source.html">version-cmp.c</a>.    </td>
  </tr>
</table>
<hr><h2>Typedef Documentation</h2>
<a class="anchor" name="a1" doxytag="version-cmp.c::range_state"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">typedef enum <a class="el" href="version-cmp_8c.html#a21">range_states</a>
 <a class="el" href="version-cmp_8c.html#a1">range_state</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
This is used as a placeholder while comparing versions of modules.     </td>
  </tr>
</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="a21" doxytag="version-cmp.c::range_states"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">enum <a class="el" href="version-cmp_8c.html#a21">range_states</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Version placeholders 
<p>
Definition at line <a class="el" href="version-cmp_8c-source.html#l00058">58</a> of file <a class="el" href="version-cmp_8c-source.html">version-cmp.c</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
